Show / Hide Table of Contents

# Class OpenIddictApplicationDescriptor

Represents an OpenIddict application descriptor.

##### Inheritance

System.Object
OpenIddictApplicationDescriptor

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictApplicationDescriptor

### Properties

#### ClientId

Gets or sets the client identifier associated with the application.

##### Declaration

    public string ClientId { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ClientSecret

Gets or sets the client secret associated with the application. Note: depending on the application manager used when creating it, this property may be hashed or encrypted for security reasons.

##### Declaration

    public string ClientSecret { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ConsentType

Gets or sets the consent type associated with the application.

##### Declaration

    public string ConsentType { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### DisplayName

Gets or sets the display name associated with the application.

##### Declaration

    public string DisplayName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### DisplayNames

Gets the localized display names associated with the application.

##### Declaration

    public Dictionary<CultureInfo, string> DisplayNames { get; }

##### Property Value

Type | Description
--- | ---
Dictionary<CultureInfo, System.String> |

#### Permissions

Gets the permissions associated with the application.

##### Declaration

    public HashSet<string> Permissions { get; }

##### Property Value

Type | Description
--- | ---
HashSet<System.String> |

#### PostLogoutRedirectUris

Gets the logout callback URLs associated with the application.

##### Declaration

    public HashSet<Uri> PostLogoutRedirectUris { get; }

##### Property Value

Type | Description
--- | ---
HashSet<Uri> |

#### Properties

Gets the additional properties associated with the application.

##### Declaration

    public Dictionary<string, JsonElement> Properties { get; }

##### Property Value

Type | Description
--- | ---
Dictionary<System.String, JsonElement> |

#### RedirectUris

Gets the callback URLs associated with the application.

##### Declaration

    public HashSet<Uri> RedirectUris { get; }

##### Property Value

Type | Description
--- | ---
HashSet<Uri> |

#### Requirements

Gets the requirements associated with the application.

##### Declaration

    public HashSet<string> Requirements { get; }

##### Property Value

Type | Description
--- | ---
HashSet<System.String> |

#### Type

Gets or sets the application type associated with the application.

##### Declaration

    public string Type { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |